Haketilo - Feature #79

Improve the build script by using awk
08/27/2021 10:58 AM - koszko

Status: Closed Start date: 08/27/2021
Priority: Low Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
Since writing build.sh | realized some things could be done a lot easier using awk

History

#1 - 11/29/2021 09:22 PM - koszko
- Status changed from New to In Progress

- % Done changed from 0 to 80

| did most of the work here and will probably commit tomorrow. The awk program | wrote is IMHO more maintainable than pure sh code and what's
most important - it will be convenient to call from tests code when loading parts of the extension into the browser for unit tests

#2 - 12/22/2021 04:59 PM - koszko
- % Done changed from 80 to 90

| did a serious rework of the build system. It's on the koszko branch now and it is now 90% awk and 10% sh, with sh code serving as a wrapper for
the awk logic.

The imports/exports facility is now a lot more convenient. No point talking about it. Once you look at it, you'll know what went on

#3 - 02/18/2022 12:50 PM - koszko
- Status changed from In Progress to Closed

- % Done changed from 90 to 100

In master
